[vdr-plugin-skinflatplus] 15/15: Fixed postinst

Tobias Grimm tiber-guest at moszumanska.debian.org
Wed Feb 11 20:44:23 UTC 2015


This is an automated email from the git hooks/post-receive script.

tiber-guest pushed a commit to branch master
in repository vdr-plugin-skinflatplus.

commit 636311cef3e61b7d5baea2785534395ee3074141
Author: etobi <git at e-tobi.net>
Date:   Wed Feb 11 21:31:54 2015 +0100

    Fixed postinst
---
 debian/changelog |  1 +
 debian/postinst  | 47 ++++++++++++++++++++++++++++++++++++++++++-----
 2 files changed, 43 insertions(+), 5 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 3471d7c..bf42d55 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -8,6 +8,7 @@ vdr-plugin-skinflatplus (0.5.0+git20150211-1) experimental; urgency=medium
   * Updated debian/copyright
   * Use same debian/rules as in other plugin packages
   * New Upstream Snapshot (commit ac367da)
+  * Fixed postinst
 
  -- Tobias Grimm <etobi at debian.org>  Wed, 11 Feb 2015 19:59:39 +0100
 
diff --git a/debian/postinst b/debian/postinst
index e2ccfb8..c635def 100644
--- a/debian/postinst
+++ b/debian/postinst
@@ -1,6 +1,43 @@
-#!/bin/bash
+#!/bin/sh
+# postinst script for vdr-plugin-skinflatplus
+#
+# see: dh_installdeb(1)
 
-chown -R vdr:vdr /var/lib/vdr/plugins/skinflatplus
-chmod 755 /var/lib/vdr/plugins/skinflatplus
-chmod 755 /var/lib/vdr/plugins/skinflatplus/configs
-chmod 644 /var/lib/vdr/plugins/skinflatplus/configs/*
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+        chown -R vdr:vdr /var/lib/vdr/plugins/skinflatplus
+        chmod 755 /var/lib/vdr/plugins/skinflatplus
+        chmod 755 /var/lib/vdr/plugins/skinflatplus/configs
+        chmod 644 /var/lib/vdr/plugins/skinflatplus/configs/*
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-vdr-dvb/vdr-plugin-skinflatplus.git



More information about the pkg-vdr-dvb-changes mailing list